Bug 82076

Summary: [chromium] Instrument gesture animations with async traces
Product: WebKit Reporter: Nat Duca <nduca>
Component: New BugsAssignee: Nat Duca <nduca>
Status: RESOLVED FIXED    
Severity: Normal CC: cc-bugs, enne, gns, jamesr, pnormand, rjkroege, webkit.review.bot, wjmaclean, xan.lopez
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch
none
Patch
none
Make gtk happy none

Description Nat Duca 2012-03-23 12:01:13 PDT
[chromium] Instrument gesture animations with async traces
Comment 1 Nat Duca 2012-03-23 12:02:18 PDT
This causes little messages about when a fling was runnign to show up in the timeline, care of new async stuff in about:Tracnig that jbates did for us.
Comment 2 Nat Duca 2012-03-23 12:05:45 PDT
Created attachment 133530 [details]
Patch
Comment 3 Adrienne Walker 2012-03-23 13:18:53 PDT
Comment on attachment 133530 [details]
Patch

Would it be possible to put these trace events in the constructor and destructor of CCActiveGestureAnimation and ActivePlatformGestureAnimation so it happens automatically?
Comment 4 Nat Duca 2012-03-23 13:54:22 PDT
Omg thats a cool idea
Comment 5 Nat Duca 2012-03-24 15:44:25 PDT
Created attachment 133654 [details]
Patch
Comment 6 WebKit Review Bot 2012-03-24 15:46:40 PDT
Attachment 133654 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'Source/WebCore/ChangeLog', u'Source/WebCor..." exit_code: 1
Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
Total errors found: 1 in 9 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 7 Philippe Normand 2012-03-24 15:48:39 PDT
Comment on attachment 133654 [details]
Patch

Attachment 133654 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/12130232
Comment 8 Nat Duca 2012-03-24 15:48:49 PDT
Created attachment 133655 [details]
Patch
Comment 9 Nat Duca 2012-03-24 15:54:53 PDT
Created attachment 133656 [details]
Make gtk happy
Comment 10 Adrienne Walker 2012-03-24 16:47:00 PDT
Comment on attachment 133656 [details]
Make gtk happy

I like that much better.
Comment 11 WebKit Review Bot 2012-03-24 22:03:28 PDT
Comment on attachment 133656 [details]
Make gtk happy

Clearing flags on attachment: 133656

Committed r112024: <http://trac.webkit.org/changeset/112024>
Comment 12 WebKit Review Bot 2012-03-24 22:03:34 PDT
All reviewed patches have been landed.  Closing bug.
Comment 13 Robert Kroeger 2012-03-26 06:44:59 PDT
(In reply to comment #12)
> All reviewed patches have been landed.  Closing bug.

Nice. :-)